import React from "react";
import { storiesOf } from "@storybook/react";
import { action } from "@storybook/addon-actions";
import { Flash } from "./index.jsx";

const items = [
	{
		id: "skldvlkfnbv",
		level: "success",
		message: "This is a success message"
	},
	{
		id: "lskfnvbokns",
		level: "info",
		message: "This is an info message"
	},
	{
		id: "pskjvokajb",
		level: "warning",
		message: "This is an warning message"
	},
	{
		id: "qironvisjfn",
		level: "danger",
		message: "This is an error message"
	}
];

storiesOf("Flash", module).add("default", () => <Flash items={items} onRemoveFlash={action("Flash closed")} />);
