import "../_form-input.scss";
import React from "react";
import { reduxFormInputWrapper } from "../../utils/redux-form-input-wrapper";
import { DatePicker } from "../../date-picker";

export const FormDatePicker = reduxFormInputWrapper(
	({ input, fields }) => {
		return <DatePicker {...fields} {...input} />;
	},
	{ className: "form-date-picker" }
);
