import "../_form-input.scss";
import React from "react";
import { reduxFormInputWrapper } from "../../utils/redux-form-input-wrapper";
import { FileField } from "../../file-field";

export const FormFileField = reduxFormInputWrapper(
	({ input, fields }) => {
		const { value, ...restOfInput } = input;
		return <FileField file={value || null} {...fields} {...restOfInput} />;
	},
	{ className: "form-file-field" }
);
