import React from "react";
import { storiesOf } from "@storybook/react";
import { action } from "@storybook/addon-actions";
import { LoaderButton } from "./index";

storiesOf("Loader Button", module)
	.addDecorator(story => <div style={{ padding: "30px" }}>{story()}</div>)
	.add("default", () => (
		<LoaderButton className="btn btn-primary" onClick={action("clicked")}>
			Submit
		</LoaderButton>
	))
	.add("loading", () => (
		<LoaderButton className="btn btn-primary" onClick={action("clicked")} isLoading={true}>
			Submit
		</LoaderButton>
	));
