import React from "react";
import { storiesOf } from "@storybook/react";
import { Loader } from "./index";

storiesOf("Loader", module)
	.addDecorator(story => <div style={{ padding: "30px", backgroundColor: "#dfdfdf" }}>{story()}</div>)
	.add("default", () => <Loader />)
	.add("with text", () => <Loader>Hello loader</Loader>);
