import "./index.scss";
import "./index-md.scss";
import React from "react";
import PropTypes from "prop-types";

export const Overlay = ({ children }) => {
	return (
		<div className="overlay">
			<div className="overlay-content">{children}</div>
		</div>
	);
};

Overlay.propTypes = {
	children: PropTypes.any
};
