import "./index.scss";
import React from "react";
import PT from "prop-types";

export const PageContainer = ({ noTopbar, asContainer, children }) => {
	let className = "page-container";
	className += asContainer ? " container" : " container-fluid";
	if (!noTopbar) className += " topbar-present";

	return <div className={className}>{children}</div>;
};

PageContainer.propTypes = {
	children: PT.any,
	noTopbar: PT.bool,
	asContainer: PT.bool
};
