import React from "react";
import { storiesOf } from "@storybook/react";
import { action } from "@storybook/addon-actions";
import { Pagination } from "./index";

storiesOf("Pagination", module)
	.addDecorator(story => <div style={{ padding: "30px" }}>{story()}</div>)
	.add("default", () => <Pagination page={1} total={0} size={10} />)
	.add("display prev button", () => <Pagination page={2} total={20} size={10} onNext={action("Next")} onPrev={action("Prev")} />)
	.add("display next button", () => <Pagination page={1} total={20} size={10} onNext={action("Next")} onPrev={action("Prev")} />)
	.add("display all buttons", () => <Pagination page={2} total={30} size={10} onNext={action("Next")} onPrev={action("Prev")} />);
