import "./styles.scss";
import React from "react";
import PT from "prop-types";

export const FontWrapper = ({ children, padding = "30px", fontFamily }) => {
	const style = { fontFamily, padding };
	return <div style={style}>{children}</div>;
};

FontWrapper.propTypes = {
	padding: PT.bool,
	children: PT.any,
	fontFamily: PT.string
};
