import "../_form-input.scss";
import React from "react";
import DynamicNumber from "react-dynamic-number";
import { reduxFormInputWrapper } from "../../utils/redux-form-input-wrapper";

export const FormNumberField = reduxFormInputWrapper(
	({ input, fields }) => (
		<DynamicNumber className={fields.className || "form-control"} integer={100} fraction={2} thousand={true} {...fields} {...input} />
	),
	{ className: "form-number-field" }
);
