import "../_form-input.scss";
import React from "react";
import { reduxFormInputWrapper } from "../../utils/redux-form-input-wrapper";
import { RadioGroup } from "../../radio-group";

export const FormRadioGroup = reduxFormInputWrapper(
	({ input, fields }) => {
		return <RadioGroup {...fields} {...input} noLabel />;
	},
	{ className: "form-radio-group" }
);
