import "../_form-input.scss";
import React from "react";
import { reduxFormInputWrapper } from "../../utils/redux-form-input-wrapper";

export const FormSelectField = reduxFormInputWrapper(
	({ input, fields }) => (
		<select className={fields.className || "form-control"} {...fields} {...input}>
			{fields.children}
		</select>
	),
	{ className: "form-select-field" }
);
