import "../_form-input.scss";
import React from "react";
import { reduxFormInputWrapper } from "../../utils/redux-form-input-wrapper";

export const FormTextField = reduxFormInputWrapper(
	({ input, fields }) => (
		<textarea className={fields.className || "form-control"} style={{ minHeight: "50px" }} {...fields} {...input} />
	),
	{ className: "form-text-field" }
);
