import React from "react";
import { storiesOf } from "@storybook/react";
import { action } from "@storybook/addon-actions";
import { InviteAgentModal } from "./index";

storiesOf("Invite Agent Modal", module)
	.add("default", () => (
		<InviteAgentModal roles={["approver", "authorizer"]} onInvite={action("Invited")}>
			Submit
		</InviteAgentModal>
	))
	.add("loading", () => (
		<InviteAgentModal roles={["approver", "authorizer"]} onInvite={action("Invited")} isLoading={true}>
			Submit
		</InviteAgentModal>
	));
