export const successMessage = (response, fallbackMsg) => {
	if (response && typeof response.data == "string") {
		return response.data;
	} else return fallbackMsg || "";
};

export const errorMessage = (err, fallbackMsg) => {
	if (err && err.response && typeof err.response.data == "string") {
		return err.response.data;
	} else return fallbackMsg || "";
};
